[arch-commits] CVS update of unstable/modules/rt2x00-cvs-ck (3 files)

Tom Killian tom at archlinux.org
Sat Aug 18 19:17:46 EDT 2007


    Date: Saturday, August 18, 2007 @ 19:17:46
  Author: tom
    Path: /home/cvs-unstable/unstable/modules/rt2x00-cvs-ck

Modified: PKGBUILD (1.9 -> 1.10) config (1.1 -> 1.2)
          rt2x00.install (1.3 -> 1.4)

upgpkg: rt2x00-cvs-ck 20070818-1


----------------+
 PKGBUILD       |   49 +++++++++++++++++++------------------------------
 config         |   21 ++++++++++++++++++++-
 rt2x00.install |    6 +++---
 3 files changed, 42 insertions(+), 34 deletions(-)


Index: unstable/modules/rt2x00-cvs-ck/PKGBUILD
diff -u unstable/modules/rt2x00-cvs-ck/PKGBUILD:1.9 unstable/modules/rt2x00-cvs-ck/PKGBUILD:1.10
--- unstable/modules/rt2x00-cvs-ck/PKGBUILD:1.9	Tue Jul 24 05:50:06 2007
+++ unstable/modules/rt2x00-cvs-ck/PKGBUILD	Sat Aug 18 19:17:46 2007
@@ -1,37 +1,26 @@
-# $Id: PKGBUILD,v 1.9 2007/07/24 09:50:06 tom Exp $
+# $Id: PKGBUILD,v 1.10 2007/08/18 23:17:46 tom Exp $
 # Maintainer : James Rayner <iphitus at gmail.com>
+
 pkgname=rt2x00-cvs-ck
-_kernver=2.6.22-ck
-pkgver=20070722
+pkgver=20070818
 pkgrel=1
-pkgdesc="Open Source modules for Ralink wireless chipsets"
-arch=('i686' 'x86_64')
-url="http://rt2x00.serialmonkey.com"
-install="rt2x00.install"
+pkgdesc="Drivers for Ralink wireless chipsets - daily devel tarball. For kernel26ck"
 depends=('kernel26ck')
-source=()
-replaces=("rt2x00-ck")
-conflicts=("rt2x00-ck")
-provides=("rt2x00-ck")
-source=(config)
-md5sums=('f2baa7fe07a82c3d44e0ba4d83bf93ba')
-
-_cvsroot=":pserver:anonymous:@rt2400.cvs.sourceforge.net:/cvsroot/rt2400"
-_cvsmod="source/rt2x00"
-
-build()
-{
-  cd $startdir/src
-  msg "Connecting to $_cvsmod.sourceforge.net CVS server...."
-  cvs -z3 -d $_cvsroot co -D $pkgver -f $_cvsmod
-  cd $_cvsmod
+source=(http://rt2x00.serialmonkey.com/rt2x00-cvs-daily.tar.gz config)
+# tarball is updated hourly, so no checksums
+url="http://rt2x00.serialmonkey.com"
+license=('GPL')
+install=rt2x00.install
 
-  cp $startdir/src/config .
-  make KERNDIR=/lib/modules/${_kernver}/build 
+_kernver=2.6.22-ck
 
-  mkdir -p $startdir/pkg/lib/modules/$_kernver/kernel/drivers/net/wireless/rt2x00
-  install -m644 $startdir/src/$_cvsmod/*ko \
-        $startdir/pkg/lib/modules/$_kernver/kernel/drivers/net/wireless/rt2x00
-  
-  sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install
+build() {
+  cd $startdir/src/rt2x00-cvs-${pkgver}*
+  cp ../config .
+  make KERNEL_SOURCES=/lib/modules/${_kernver}/build || return 1
+  mkdir -p $startdir/pkg/lib/modules/$_kernver/kernel/drivers/{misc,net/wireless}
+  install -m644 eeprom_93cx6.ko $startdir/pkg/lib/modules/$_kernver/kernel/drivers/misc
+  install -m644 rt*.ko $startdir/pkg/lib/modules/$_kernver/kernel/drivers/net/wireless
+  sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/rt2x00.install
 }
+arch=('i686')
Index: unstable/modules/rt2x00-cvs-ck/config
diff -u unstable/modules/rt2x00-cvs-ck/config:1.1 unstable/modules/rt2x00-cvs-ck/config:1.2
--- unstable/modules/rt2x00-cvs-ck/config:1.1	Tue Jul 24 05:50:07 2007
+++ unstable/modules/rt2x00-cvs-ck/config	Sat Aug 18 19:17:46 2007
@@ -12,7 +12,7 @@
 # Enable rt2x00 debug output
 CONFIG_RT2X00_DEBUG=y
 # Enable rt2x00 debugfs support
-CONFIG_RT2X00_DEBUGFS=n
+CONFIG_RT2X00_LIB_DEBUGFS=n
 # Enable rt2x00 asm file creation
 CONFIG_RT2X00_ASM=n
 
@@ -41,6 +41,17 @@
 CONFIG_RT73USB=y
 
 #
+# Dscape ieee80211 stack
+#
+
+# Build dscape ieee80211 stack support
+CONFIG_D80211=y
+# Enable dscape ieee80211 debug output
+CONFIG_D80211_DEBUG=y
+# Enable dscape ieee80211 asm file creation
+CONFIG_D80211_ASM=n
+
+#
 # CRC-ITU-T support
 #
 
@@ -58,3 +69,11 @@
 # Enable eeprom asm file creation
 CONFIG_EEPROM_93CX6_ASM=n
 
+#
+# RFkill support
+#
+
+# Enable rfkill support
+CONFIG_RFKILL=y
+# Enable rfkill asm file creation
+CONFIG_RFKILL_ASM=n
Index: unstable/modules/rt2x00-cvs-ck/rt2x00.install
diff -u unstable/modules/rt2x00-cvs-ck/rt2x00.install:1.3 unstable/modules/rt2x00-cvs-ck/rt2x00.install:1.4
--- unstable/modules/rt2x00-cvs-ck/rt2x00.install:1.3	Tue Jul 24 05:50:08 2007
+++ unstable/modules/rt2x00-cvs-ck/rt2x00.install	Sat Aug 18 19:17:46 2007
@@ -1,7 +1,7 @@
 # arg 1:  the new package version
 post_install()
 {
-  KERNEL_VERSION='2.6.22-ck'
+  KERNEL_VERSION=2.6.22-ck
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
   /bin/true
 }
@@ -10,7 +10,7 @@
 # arg 2:  the old package version
 post_upgrade()
 {
-  KERNEL_VERSION='2.6.22-ck'
+  KERNEL_VERSION=2.6.22-ck
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
   /bin/true
 }
@@ -24,7 +24,7 @@
 # arg 1:  the old package version
 post_remove()
 {
-  KERNEL_VERSION='2.6.22-ck'
+  KERNEL_VERSION=2.6.22-ck
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 	  
   /bin/true
 }




More information about the arch-commits mailing list